<?php

/**
 * Description of SessionManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class SessionManagement extends CI_Model {

    function getSessions($session_active_status = '', $session_delete_status = '',$order='DESC') {
        $this->db->select("*");
        $this->db->from("tbl_session_master");
        if ($session_active_status = '') {
            $this->db->where("session_active_status", $session_active_status);
        }
        if ($session_delete_status != '') {
            $this->db->where("session_delete_status", $session_delete_status);
        }
        $this->db->order_by("session_added_on", $order);
        return $this->db->get();
    }

    function getCurrentSessionDetails() {
        $this->db->select("*");
        $this->db->from("tbl_session_master");
        $this->db->where("session_status","C");
        return $this->db->get();
    }

    function getNonDeletedActiveSessions(array $session_status = []) {
        $this->db->select("*");
        $this->db->from('tbl_session_master TSM');
        $this->db->where('TSM.session_active_status', 'T');
        $this->db->where('TSM.session_delete_status', 'F');
        if (sizeof($session_status)) {
            $this->db->where_in("TSM.session_status", $session_status);
        }
        $this->db->order_by("TSM.session_name", "ASC");
        return $this->db->get();
    }
}
