<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Add New Student :: <?php if(sizeof($branch)) echo $branch[0]->branch_short_name; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <div class="main-content">
                <div class="text-center ">
                    <a href="<?php echo site_url("Home"); ?>"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                    <h1> <a href="<?php echo site_url("Home"); ?>"><?php if(sizeof($branch)) echo $branch[0]->branch_short_name; ?></a></h1>      
                    <h2 class="mt-2" style="text-decoration:">  <a href="<?php echo site_url("user/Student/acknowledgement"); ?>">Print Acknowledgement </a></h2>
                </div>

                <div class="container-fluid ">

                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Home"); ?>">Home</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <div class="form-row ">
                                    <div class="col-md-12">
                                        <?php echo form_open(site_url("user/Student/printAcknowledgement")); ?>
                                        <div class="card">
                                            <h3 class="card-header">Print Acknowledgement Via Form Number</h3>
                                            <div class="card-body p-5">
                                                <div class="form-row">
                                                    <div class="col-sm-12">
                                                        <label for="form_no">Enter Form Number</label>
                                                        <input type="text" placeholder="Enter Form Number" class="form-control" name="form_no" id="form_no">                                                   
                                                    </div>
                                                </div>
                                                <div class="form-row mt-2">
                                                    <div class="col-sm-12">
                                                        <input type="radio" value="A" class="form-check-inline mt-3" name="opt" id="opt1">    
                                                        <label class="input__label" for="opt1">Admission Form</label>  
                                                        <input type="radio"  value="F" class="form-check-inline mt-3 ml-3" name="opt" id="opt2">    
                                                        <label class="input__label" for="opt2">Fee Acknowledgement</label>  
                                                    </div>
                                                </div>
                                                <div class="form-row mt-2">
                                                    <div class="col-sm-12">
                                                       
                                                        <input type="submit" class="btn btn-block btn-primary" value="FETCH" name="opt1">                                                   
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <?php echo form_close(); ?>
                                    </div> 
                                    <div class="col-md-12 mt-4">
                                        <div class="text-center">
                                            <h3>OR</h3>
                                        </div>
                                    </div>
                                    <div class="col-md-12 mt-4">
                                        <?php echo form_open(site_url("user/Student/printAcknowledgement")); ?>
                                        <div class="card">
                                            <h3 class="card-header">Print Acknowledgement Via Applicant's Details</h3>
                                            <div class="card-body p-5">
                                                <div class="form-row">
                                                    <div class="col-sm-6">
                                                        <label for="email">Enter Applicant's Email</label>
                                                        <input type="text" placeholder="Enter Applicant's Email" class="form-control" name="email" id="email">                                                   
                                                    </div>
                                                    <div class="col-sm-6">
                                                        <label for="mobile">Enter Applicant's Mobile</label>
                                                        <input type="text" placeholder="Enter Applicant's Mobile" class="form-control" name="mobile" id="mobile" maxlength="10">                                                   
                                                    </div>
                                                </div>
                                                <div class="form-row mt-3">
                                                    <div class="col-sm-12">
                                                        <label for="dob">Select Applicant's DOB</label>
                                                        <input type="text" placeholder="Select Applicant's DOB" class="form-control" name="dob" id="dob" autocomplete="off">                                                   
                                                    </div>
                                                </div>
                                                <div class="form-row mt-3">
                                                    <div class="col-sm-12">
                                                        <input type="radio" value="A" class="form-check-inline mt-3" name="opt" id="opt3">    
                                                        <label class="input__label" for="opt3">Admission Form</label>  
                                                        <input type="radio"  value="F" class="form-check-inline mt-3 ml-3" name="opt" id="opt4">    
                                                        <label class="input__label" for="opt4">Fee Acknowledgement</label>  
                                                    </div>
                                                </div>
                                                <div class="form-row mt-3">
                                                    <div class="col-sm-12">
                                                        <input type="submit" class="btn btn-block btn-primary" value="FETCH" name="opt2">                                                   
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <?php echo form_close(); ?>
                                    </div> 
                                </div>
                                <div class="col-md-6">

                                </div>

                            </div>

                            <?php echo form_close(); ?>
                        </div>
                </div>
        </section>
    </div>
</div>
</section>
<?php $this->load->view("admin/footer"); ?>
</body>
</html>

<script>
    $("#dob").datepicker({
        dateFormat: "dd/mm/yy",
        changeMonth: true,
        changeYear: true,
        numberOfMonths: 1,
        yearRange: '1980:-15'
    });
</script>