<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Candidate Registration | <?php echo (sizeof($branch)) ? $branch[0]->branch_short_name : ""; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">      
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <div class="se-pre-con"></div>
        <section>
            <div class="main-content">
                <div class="text-center ">
                    <a href="<?php echo site_url("Home"); ?>"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="" width="100" class="img-responsive mt-3"></a>
                    <h1> <a href="<?php echo site_url("Home"); ?>"><?php echo (sizeof($branch)) ? $branch[0]->branch_short_name : ""; ?></a></h1>      
                    <h1>  <a href="<?php echo site_url("user/Student/registerStudent"); ?>">Admission Form </a></h1>
                </div>
                <div class="container-fluid ">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("Home"); ?>">Home</a></li>
                        </ol>
                    </nav>
                    <section class="forms">
                        <div class="card card_border py-2 mb-4">
                            <div class="card-body">
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                                <?php echo form_open_multipart(site_url('user/Student/saveNewStudent'), ['name' => 'studentEnrollmentFrm', 'id' => 'studentEnrollmentFrm']); ?>
                                <fieldset>
                                    <legend><b>PERSONAL DETAILS</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="" class="input__label required">Reference No./Form Id</label>
                                            <input type="text" class="form-control readonly" id="refNo" name="refNo" style="font-weight: bold;" value="<?php echo $cRefDetails['referenceNumber']; ?>" tabindex="-1" placeholder="Enter Student's Name" maxlength="150">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="" class="input__label required">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select readonly" tabindex="-1" style="font-weight: bold;">
                                                <option value="">Select Course</option>
                                                <?php
                                                foreach ($courses as $course) {
                                                    $selected = (stripslashes($course->course_name) == stripslashes($cRefDetails['Course'])) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo $selected; ?>><?php echo stripslashes($course->course_name) . "[" . stripslashes($course->tcsm_course_type) . "]"; ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="" class="input__label required">Applicant's Name</label>
                                            <input type="text" class="form-control readonly" id="stuName" name="stuName" style="font-weight: bold;" value="<?php echo $cRefDetails['StudentName']; ?>" tabindex="-1" placeholder="Enter Student's Name" maxlength="150">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="stuMailingAddrLineOne" class="input__label required">Mailing Address Line 1</label>
                                            <input type="text" class="form-control" id="stuMailingAddrLineOne" name="stuMailingAddrLineOne" value="<?php echo set_value('stuMailingAddrLineOne'); ?>" placeholder="Enter Mailing Address Line 1" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuMailingAddrLineTwo" class="input__label">Mailing Address Line 2</label>
                                            <input type="text" class="form-control" id="stuMailingAddrLineTwo" name="stuMailingAddrLineTwo" value="<?php echo set_value('stuMailingAddrLineTwo'); ?>" placeholder="Enter Mailing Address Line 2" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuMailingAddrLineThree" class="input__label">Mailing Address Line 3</label>
                                            <input type="text" class="form-control" id="stuMailingAddrLineThree" name="stuMailingAddrLineThree" value="<?php echo set_value('stuMailingAddrLineThree'); ?>" placeholder="Enter Mailing Address Line 3"  maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="stuMailingAddrState" class="input__label required">State</label>
                                            <select id="stuMailingAddrState" name="stuMailingAddrState" class="custom-select">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>" <?php echo set_select("stuMailingAddrState", $state->state_id); ?>><?php echo stripslashes($state->state_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuMailingAddrCity" class="input__label required">City</label>
                                            <select id="stuMailingAddrCity" name="stuMailingAddrCity" class="custom-select">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuMailingAddrZipCode" class="input__label required">Pin Code</label>
                                            <input type="text" class="form-control" id="stuMailingAddrZipCode" name="stuMailingAddrZipCode" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuMailingAddrZipCode'); ?>" placeholder="Enter Mailing Address Pin Code"  maxlength="6">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuMobile" class="input__label required">Applicant's Mobile </label>
                                            <input type="text" class="form-control" id="stuMobile" name="stuMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuMobile'); ?>" placeholder="Enter Student's Mobile"  maxlength="10">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuEmail" class="input__label required">Applicant's Email</label>
                                            <input type="text" class="form-control" id="stuEmail" name="stuEmail" value="<?php echo set_value('stuEmail'); ?>" placeholder="Enter Student's Email"  maxlength="100">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <input type="checkbox" name="permaSameAsMailing" id="permaSameAsMailing" value="T" <?php echo set_radio("permaSameAsMailing", "T"); ?>>&nbsp;<label for="permaSameAsMailing"><strong>Permanent Address Same As Mailing Address</strong></label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="stuPermaAddrLineOne" class="input__label required">Permanent Address Line 1</label>
                                            <input type="text" class="form-control" id="stuPermaAddrLineOne" name="stuPermaAddrLineOne" value="<?php echo set_value('stuPermaAddrLineOne'); ?>" placeholder="Enter Permanent Address Line 1" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuPermaAddrLineTwo" class="input__label">Permanent Address Line 2</label>
                                            <input type="text" class="form-control" id="stuPermaAddrLineTwo" name="stuPermaAddrLineTwo" value="<?php echo set_value('stuPermaAddrLineTwo'); ?>" placeholder="Enter Permanent Address Line 2" maxlength="200">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuPermaAddrLineThree" class="input__label">Permanent Address Line 3</label>
                                            <input type="text" class="form-control" id="stuPermaAddrLineThree" name="stuPermaAddrLineThree" value="<?php echo set_value('stuPermaAddrLineThree'); ?>" placeholder="Enter Permanent Address Line 3"  maxlength="200">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="stuPermaAddrState" class="input__label required">State</label>
                                            <select id="stuPermaAddrState" name="stuPermaAddrState" class="custom-select">
                                                <option value="">Select State</option>
                                                <?php foreach ($states as $state) { ?>
                                                    <option value="<?php echo $state->state_id; ?>" <?php echo set_select("stuPermaAddrState", $state->state_id); ?>><?php echo stripslashes($state->state_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuPermaAddrCity" class="input__label required">City</label>
                                            <select id="stuPermaAddrCity" name="stuPermaAddrCity" class="custom-select">
                                                <option value="">Select City</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuPermaAddrZipCode" class="input__label required">Pin Code</label>
                                            <input type="text" class="form-control" id="stuPermaAddrZipCode" name="stuPermaAddrZipCode" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuPermaAddrZipCode'); ?>" placeholder="Enter Permanent Address Pin Code"  maxlength="6">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="" class="input__label">Father's Name</label>
                                            <input type="text" class="form-control readonly" tabindex="-1" id="stuFatherName" name="stuFatherName" style="font-weight: bold;" value="<?php echo $cRefDetails['FatherName']; ?>" placeholder="Enter Father's Name" >
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuMotherName" class="input__label">Mother's Name</label>
                                            <input type="text" class="form-control" id="stuMotherName" name="stuMotherName" value="<?php echo set_value('stuMotherName'); ?>" placeholder="Enter Mother's Name" >
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuParentLandline" class="input__label">Parent's Landline</label>
                                            <input type="text" class="form-control" id="stuParentLandline" name="stuParentLandline" value="<?php echo set_value('stuParentLandline'); ?>" placeholder="Enter Parent's Landline"  maxlength="12">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuParentMobile" class="input__label">Parent's Mobile</label>
                                            <input type="text" class="form-control" id="stuParentMobile" name="stuParentMobile" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuParentMobile'); ?>" placeholder="Enter Parent's Mobile"  maxlength="10">
                                        </div>
                                    </div>
                                    <?php
                                    $male = "";
                                    $female = "";
                                    $trans = "";
                                    $value = "";
                                    if ($cRefDetails['Gender'] == "Male") {
                                        $male = "checked";
                                        $female = "";
                                        $trans = "";
                                        $value = "M";
                                    } else if ($cRefDetails['Gender'] == "Female") {
                                        $male = "";
                                        $female = "checked";
                                        $trans = "";
                                        $value = "F";
                                    } else {
                                        $male = "";
                                        $female = "";
                                        $trans = "checked";
                                        $value = "T";
                                    }
                                    ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="input__label required">Gender</label><br>
                                            <input type="hidden" name="stuGen" value="<?php echo $value; ?>">
                                            <input type="radio" id="stuGenMale" name="stuGenShow" value="M" <?php echo $male; ?> disabled="disabled">&nbsp;<label for="stuGenMale">Male</label>
                                            <input type="radio" id="stuGenFemale" name="stuGenShow" value="F" <?php echo $female; ?> disabled="disabled">&nbsp;<label for="stuGenFemale">Female</label>
                                            <input type="radio" id="stuGenTrans" name="stuGenShow" value="T" <?php echo $trans; ?> disabled="disabled">&nbsp;<label for="stuGenTrans">Transgender</label>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuDOB" class="input__label required">D.O.B. </label>
                                            <input type="text" class="form-control" id="stuDOB" name="stuDOB" value="<?php echo set_value("stuDOB"); ?>" placeholder="Choose Student's DOB" autocomplete="off" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuCategory" class="input__label required">Category</label>
                                            <select id="stuCategory" name="stuCategory" class="custom-select readonly" tabindex="-1">
                                                <option value="" <?php echo set_select("stuCategory", ""); ?>>Select Category</option>
                                                <?php
                                                foreach ($categories as $category) {
                                                    $selected = ($cRefDetails['Category'] == addslashes($category['category_name'])) ? "selected" : "";
                                                    ?>
                                                    <option value="<?php echo addslashes($category['category_name']); ?>" <?php echo $selected; ?>><?php echo stripslashes($category['category_name']); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuReligion" class="input__label required">Religion</label>
                                            <select id="stuReligion" name="stuReligion" class="custom-select">
                                                <option value="" <?php echo set_select("stuReligion", ""); ?>>Select Religion</option>
                                                <?php foreach ($religions as $religion) { ?>
                                                    <option value="<?php echo addslashes($religion['religion_name']); ?>" <?php echo set_select("stuReligion", addslashes($religion['religion_name'])); ?>><?php echo stripslashes($religion['religion_name']); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                    </div>
                                    <?php
                                    $phYes = "";
                                    $phNo = "";
                                    if ($cRefDetails['Gender'] == "Yes") {
                                        $phYes = "checked";
                                        $phNo = "";
                                    } else {
                                        $phYes = "";
                                        $phNo = "checked";
                                    }
                                    ?>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="input__label required">Differently Abled</label><br>
                                            <input type="radio" id="stuDiffAbledYes" name="stuDiffAbled" value="T" <?php echo $phYes; ?>>&nbsp;<label for="stuDiffAbledYes">Yes</label>
                                            <input type="radio" id="stuDiffAbledNo" name="stuDiffAbled" value="F" <?php echo $phNo; ?>>&nbsp;<label for="stuDiffAbledNo">No</label>
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuParentIncome" class="input__label">Parent's Annual Income</label>
                                            <input type="text" class="form-control" id="stuParentIncome" name="stuParentIncome" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuParentIncome'); ?>" placeholder="Enter Parent's Annual Income" maxlength="15">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuAadharNo" class="input__label">Aadhar Number</label>
                                            <input type="text" class="form-control" id="stuAadharNo" name="stuAadharNo" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuAadharNo'); ?>" placeholder="Enter Student's Aadhar Number"  maxlength="12">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuPAN" class="input__label">PAN Number</label>
                                            <input type="text" class="form-control" id="stuPAN" name="stuPAN" value="<?php echo set_value('stuPAN'); ?>" placeholder="Enter Student's PAN Number" maxlength="10">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuCSTCNumber" class="input__label">Caste Certificate Number</label>
                                            <input type="text" class="form-control" id="stuCSTCNumber" name="stuCSTCNumber" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuCSTCNumber'); ?>" placeholder="Enter Student's Caste Certificate Number"  maxlength="15">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuAICNumber" class="input__label">Annual Income Certificate Number</label>
                                            <input type="text" class="form-control" id="stuAICNumber" name="stuAICNumber" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuAICNumber'); ?>" placeholder="Enter Annual Income Certificate Number" maxlength="15">
                                        </div>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset>
                                    <legend><b class="required">EDUCATIONAL QUALIFICATION</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <table id="eduQualifications" class="table-active table-responsive-sm table-striped table-hover" style="width:100%">
                                                <thead>
                                                    <tr>
                                                        <th>Name Of Examination</th>
                                                        <th>Board/University/Institute</th>
                                                        <th>Stream</th>
                                                        <th>Year Of Exam</th>
                                                        <th>Max. Marks/CGPA</th>
                                                        <th>Marks/CGPA Obtained</th>
                                                        <th>% of Marks/CGPA Obtained</th>
                                                        <th>Class/Division Obtained</th>
                                                    </tr>
                                                </thead>
                                                <tbody id="exams">

                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset>
                                    <legend><b>PROFESSIONAL EXPERIENCE</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label class="input__label">Have Any Professional Experience:</label>
                                            <input type="radio" id="stuProfExpYes" name="stuProfExp" value="T" <?php echo set_radio('stuProfExp', "T"); ?>>&nbsp;<label for="stuProfExpYes">Yes</label>
                                            <input type="radio" id="stuProfExpNo" name="stuProfExp" value="F" <?php echo set_radio('stuProfExp', "F"); ?> checked="checked">&nbsp;<label for="stuProfExpNo">No</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuProfExpInYears" class="input__label">Experience(In Years)</label>
                                            <input type="text" class="form-control" id="stuProfExpInYears" name="stuProfExpInYears" onkeypress="return event.charCode >= 48 && event.charCode <= 57" value="<?php echo set_value('stuProfExpInYears'); ?>" placeholder="Enter Total Experience (In Years)" maxlength="5" readonly="true">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuProfOrgName" class="input__label">Organization</label>
                                            <input type="text" class="form-control" id="stuProfOrgName" name="stuProfOrgName" value="<?php echo set_value('stuProfOrgName'); ?>" placeholder="Enter Organization Name" maxlength="100" readonly="true">
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label for="stuProfJobDesc" class="input__label">Job Description</label>
                                            <textarea class="form-control" name="stuProfJobDesc" id="stuProfJobDesc" placeholder="Enter Job Description (Max. 200 Characters)" maxlength="200" readonly="true"><?php echo set_value('stuProfJobDesc'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset>
                                    <legend><b>EXTRA-CURRICULAR ACTIVITIES/GAMES/SPORTS</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <textarea class="form-control" name="stuExtraCurricularAct" id="stuExtraCurricularAct" placeholder="Enter Extra Curricular Activites (Not More Than 500 Chars)" maxlength="500"><?php echo set_value('stuExtraCurricularAct'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset style="display:none;">
                                    <legend><b>FAMILY BACKGROUND</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <table id="familyBackground" class="table-active table-responsive-sm table-striped table-hover" style="width:100%">
                                                <tr>
                                                    <th class="required">Name</th>
                                                    <th class="required">Relationship</th>
                                                    <th class="required">Designation</th>
                                                    <th class="required">Organization</th>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGName[]" value="<?php echo set_value('stuFamBGName[0]'); ?>" placeholder="Enter Family Member Name" maxlength="200">
                                                    </td>
                                                    <td>
                                                        <select name="stuFamBGRelation[]" class="custom-select">
                                                            <option value="">Select Relation</option>
                                                            <?php foreach ($relations as $relation) { ?>
                                                                <option value="<?php echo $relation->rel_id; ?>" <?php echo set_select("stuFamBGRelation[0]", $relation->rel_id) ?>><?php echo addslashes($relation->rel_title); ?></option>
                                                                <?php
                                                            }
                                                            ?>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGDesignation[]" value="<?php echo set_value('stuFamBGDesignation[0]'); ?>" placeholder="Enter Family Member Designation (Required)" maxlength="200">
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGOrganization[]" value="<?php echo set_value('stuFamBGOrganization[0]'); ?>" placeholder="Enter Family Member Organization (Required)" maxlength="200">
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGName[]" value="<?php echo set_value('stuFamBGName[1]'); ?>" placeholder="Enter Family Member Name" maxlength="200">
                                                    </td>
                                                    <td>
                                                        <select name="stuFamBGRelation[]" class="custom-select">
                                                            <option value="">Select Relation</option>
                                                            <?php foreach ($relations as $relation) { ?>
                                                                <option value="<?php echo $relation->rel_id; ?>" <?php echo set_select("stuFamBGRelation[1]", $relation->rel_id) ?>><?php echo addslashes($relation->rel_title); ?></option>
                                                                <?php
                                                            }
                                                            ?>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGDesignation[]" value="<?php echo set_value('stuFamBGDesignation[1]'); ?>" placeholder="Enter Family Member Designation" maxlength="200">
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGOrganization[]" value="<?php echo set_value('stuFamBGOrganization[1]'); ?>" placeholder="Enter Family Member Organization" maxlength="200">
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGName[]" value="<?php echo set_value('stuFamBGName[2]'); ?>" placeholder="Enter Family Member Name" maxlength="200">
                                                    </td>
                                                    <td>
                                                        <select name="stuFamBGRelation[]" class="custom-select">
                                                            <option value="">Select Relation</option>
                                                            <?php foreach ($relations as $relation) { ?>
                                                                <option value="<?php echo $relation->rel_id; ?>" <?php echo set_select("stuFamBGRelation[2]", $relation->rel_id) ?>><?php echo addslashes($relation->rel_title); ?></option>
                                                                <?php
                                                            }
                                                            ?>
                                                        </select>
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGDesignation[]" value="<?php echo set_value('stuFamBGDesignation[2]'); ?>" placeholder="Enter Family Member Designation" maxlength="200">
                                                    </td>
                                                    <td>
                                                        <input type="text" class="form-control" name="stuFamBGOrganization[]" value="<?php echo set_value('stuFamBGOrganization[2]'); ?>" placeholder="Enter Family Member Organization" maxlength="200">
                                                    </td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset>
                                    <legend><b>SELECT WHICHEVER IS APPLICABLE (Leave Blank If Not Applicable)</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label class="input__label">Exam:</label>
                                            <input type="radio" id="stuEntranceExamUC" onClick="setEntranceExamInfoFields('UC');" name="stuEntranceExam" value="University Counselling" <?php echo set_radio('stuEntranceExam', "University Counselling"); ?>>&nbsp;<label for="stuEntranceExamUC">University Counselling</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-4">
                                            <label for="stuEntranceExamRegNo" class="input__label">Registration/Form No.</label>
                                            <input type="text" class="form-control" id="stuEntranceExamRegNo" name="stuEntranceExamRegNo" value="<?php echo $cRefDetails['referenceNumber']; ?>" placeholder="Enter Registration Number" maxlength="50" readonly="true">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuEntranceExamPercentage" class="input__label">Percentage</label>
                                            <input type="text" class="form-control" id="stuEntranceExamPercentage" name="stuEntranceExamPercentage" value="<?php echo set_value('stuEntranceExamPercentage'); ?>" placeholder="Enter Obtained Percentage" maxlength="6" readonly="true">
                                        </div>
                                        <div class="form-group col-md-4">
                                            <label for="stuEntranceExamRank" class="input__label">Rank/Merit</label>
                                            <input type="text" class="form-control" id="stuEntranceExamRank" name="stuEntranceExamRank" value="<?php echo $cRefDetails['Merit']; ?>" placeholder="Enter Rank" maxlength="10" readonly="true">
                                        </div>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset>
                                    <legend><b>PHOTO & SIGNATURE</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-6">
                                            <label for="stuPhotograph" class="input__label required">Photograph</label>
                                            <input type="file" class="form-control" id="stuPhotograph" name="stuPhotograph">
                                        </div>
                                        <div class="form-group col-md-6">
                                            <label for="stuSignature" class="input__label required">Signature</label>
                                            <input type="file" class="form-control" id="stuSignature" name="stuSignature">
                                        </div>
                                        <small id="photoAndSignInstruction" style="color:#0000FF;font-weight: bold;">Max File Size For Photo & Signature Is 500KB And Allowed Extensions Are *.png, *.jpg, *.jpeg.</small>
                                    </div>
                                </fieldset>
                                <br>
                                <fieldset>
                                    <legend><b>REMARKS (If-Any)</b></legend>
                                    <hr>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <textarea class="form-control" name="stuRemarks" id="stuRemarks" placeholder="Enter Remarks If Any (Not More Than 1000 Chars)" maxlength="1000"><?php echo set_value('stuRemarks'); ?></textarea>
                                        </div>
                                    </div>
                                </fieldset>
                                <input type="hidden" name="referenceNumber" value="<?php echo $cRefDetails['referenceNumber']; ?>">
                                <input type="hidden" name="stuDomicile" value="<?php echo $cRefDetails['Domicile']; ?>">
                                <input type="hidden" name="stuAllotCategory" value="<?php echo $cRefDetails['AllottedCategory']; ?>">
                                <button id="submitBtn" type="submit" class="btn btn-primary btn-block btn-style mt-4"><i class="fa fa-user-plus"></i>&nbsp;REGISTER</button>
                                <?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Exam/getAllExamsByCourseCategory/') ?>',
                        data: {course_id: $(this).val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var examInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            if (examInfo.exams_found === 1) {
                                $("#exams").html('');
                                var htmlExamData = '';
                                for (var i = 0; i < examInfo.exam_list.length; i++) {
                                    var thisExam = examInfo.exam_list[i];
                                    htmlExamData += "<tr>";
                                    htmlExamData += "<td>" + thisExam.exam_name + "</td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiBoardUniv[]'></td>";
                                    htmlExamData += "<td><select name='stuEduQualiStream[]' class='custom-select'><option selected>Science</option><option>Arts</option><option>Commerce</option><option>Comp. App.</option><option>Others</option></select></td>";
                                    htmlExamData += "<td><select name='stuEduQualiYearOfExam[]' class='custom-select'>";
                                    for (var year = new Date().getFullYear(); year > new Date().getFullYear() - 31; year--) {
                                        htmlExamData += "<option>" + year + "</option>";
                                    }
                                    htmlExamData += "</select></td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiMaxMarks[]'></td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiMarksObt[]'></td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiPercntCGPA[]'></td>";
                                    htmlExamData += "<td><select name='stuEduQualiDiv[]' class='custom-select'><option selected>I-Div</option><option>II-Div</option><option>III-Div</option></select></td>";
                                    htmlExamData += "<input type='hidden' class='form-control' name='stuEduQualiExamId[]' value='" + thisExam.exam_id + "'>";
                                    htmlExamData += "</tr>";
                                }
                                $("#exams").html(htmlExamData);
                            } else {
                                $("#exams").html(examInfo.message);
                            }
                            csrfHash = examInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#exams").html("");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuProfExpYes").on("click", function () {
                $("#stuProfExpInYears").prop("readonly", false);
                $("#stuProfOrgName").prop("readonly", false);
                $("#stuProfJobDesc").prop("readonly", false);
            });

            $("#stuProfExpNo").on("click", function () {
                $("#stuProfExpInYears").val("");
                $("#stuProfOrgName").val("");
                $("#stuProfJobDesc").val("");
                $("#stuProfExpInYears").prop("readonly", true);
                $("#stuProfOrgName").prop("readonly", true);
                $("#stuProfJobDesc").prop("readonly", true);
            });

            $("#stuDOB").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                yearRange: '1980:-15',
                numberOfMonths: 1
            });

            $("#stuMailingAddrState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuMailingAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuMailingAddrCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuPermaAddrState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuPermaAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuPermaAddrCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuCommAddrState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuCommAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuCommAddrCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuLocGuardAddrState").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Locations/getActiveCitiesByState/') ?>',
                        data: {state_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuLocGuardAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuLocGuardAddrCity").html("<option>Select City</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#permaSameAsMailing").on("click", function () {
                if ($(this).is(":checked")) {
                    $("#stuPermaAddrLineOne").val($("#stuMailingAddrLineOne").val());
                    $("#stuPermaAddrLineTwo").val($("#stuMailingAddrLineTwo").val());
                    $("#stuPermaAddrLineThree").val($("#stuMailingAddrLineThree").val());
                    $("#stuPermaAddrState").val($("#stuMailingAddrState").val());
                    $("#stuPermaAddrState").trigger("change");
                    $("#stuPermaAddrCity").val($("#stuMailingAddrCity").val());
                    $("#stuPermaAddrZipCode").val($("#stuMailingAddrZipCode").val());
                } else {
                    $("#stuPermaAddrLineOne").val("");
                    $("#stuPermaAddrLineTwo").val("");
                    $("#stuPermaAddrLineThree").val("");
                    $("#stuPermaAddrState").val("");
                    $("#stuPermaAddrCity").val("");
                    $("#stuPermaAddrZipCode").val("");
                }
            });

            $("#commAddrSameAsMailing").on("click", function () {
                if ($(this).is(":checked")) {
                    $("#stuCommAddrLineOne").val($("#stuMailingAddrLineOne").val());
                    $("#stuCommAddrLineTwo").val($("#stuMailingAddrLineTwo").val());
                    $("#stuCommAddrLineThree").val($("#stuMailingAddrLineThree").val());
                    $("#stuCommAddrState").val($("#stuMailingAddrState").val());
                    $("#stuCommAddrState").trigger("change");
                    $("#stuCommAddrCity").val($("#stuMailingAddrCity").val());
                    $("#stuCommAddrZipCode").val($("#stuMailingAddrZipCode").val());
                } else {
                    $("#stuCommAddrLineOne").val("");
                    $("#stuCommAddrLineTwo").val("");
                    $("#stuCommAddrLineThree").val("");
                    $("#stuCommAddrState").val("");
                    $("#stuCommAddrCity").val("");
                    $("#stuCommAddrZipCode").val("");
                }
            });

            function setEntranceExamInfoFields(selectedExam) {
                if (selectedExam === 'UC') {
                    $("#stuEntranceExamUC").prop("checked", "checked");
                    $("#stuEntranceExamRegNo").prop("readonly", true);
                    $("#stuEntranceExamPercentage").prop("readonly", true);
                    $("#stuEntranceExamRank").prop("readonly", true);
                }
            }

            $(document).ready(function () {
                setEntranceExamInfoFields('UC');
                if ($("#stuCourse").val().trim() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Exam/getAllExamsByCourseCategory/') ?>',
                        data: {course_id: $("#stuCourse").val().trim(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var examInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            if (examInfo.exams_found === 1) {
                                $("#exams").html('');
                                var htmlExamData = '';
                                for (var i = 0; i < examInfo.exam_list.length; i++) {
                                    var thisExam = examInfo.exam_list[i];
                                    htmlExamData += "<tr>";
                                    htmlExamData += "<td>" + thisExam.exam_name + "</td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiBoardUniv[]'></td>";
                                    htmlExamData += "<td><select name='stuEduQualiStream[]' class='custom-select'><option selected>Science</option><option>Arts</option><option>Commerce</option><option>Comp. App.</option><option>Others</option></select></td>";
                                    htmlExamData += "<td><select name='stuEduQualiYearOfExam[]' class='custom-select'>";
                                    for (var year = new Date().getFullYear(); year > new Date().getFullYear() - 31; year--) {
                                        htmlExamData += "<option>" + year + "</option>";
                                    }
                                    htmlExamData += "</select></td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiMaxMarks[]'></td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiMarksObt[]'></td>";
                                    htmlExamData += "<td><input type='text' class='form-control' name='stuEduQualiPercntCGPA[]'></td>";
                                    htmlExamData += "<td><select name='stuEduQualiDiv[]' class='custom-select'><option selected>I-Div</option><option>II-Div</option><option>III-Div</option></select></td>";
                                    htmlExamData += "<input type='hidden' class='form-control' name='stuEduQualiExamId[]' value='" + thisExam.exam_id + "'>";
                                    htmlExamData += "</tr>";
                                }
                                $("#exams").html(htmlExamData);
                            } else {
                                $("#exams").html(examInfo.message);
                            }
                            csrfHash = examInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });

                }

                if ($("#stuMailingAddrState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getCitiesByState/') ?>',
                        data: {state_id: $("#stuMailingAddrState").val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuMailingAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if ($("#stuPermaAddrState").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Location/getActiveCitiesByStateSelected/') ?>',
                        data: {state_id: $("#stuPermaAddrState").val(), city_id: $("#stuMailingAddrCity").val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var cityInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuPermaAddrCity").html(cityInfo.city_list);
                            csrfHash = cityInfo.csrfHash;
                            studentEnrollmentFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>